# ApplicationFramework
TKBin
BinDrivers

# BinDrivers_DocumentStorageDriver Class Reference

persistent implemention of storage a document in a binary file

`#include <BinDrivers_DocumentStorageDriver.hxx>`

Inheritance diagram for BinDrivers_DocumentStorageDriver:

[legend]

## Public Member Functions

Standard_EXPORT | BinDrivers_DocumentStorageDriver ()
| Constructor .
virtual Standard_EXPORT Handle_BinMDF_ADriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT BinDrivers_DocumentStorageDriver::BinDrivers_DocumentStorageDriver | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_BinMDF_ADriverTable BinDrivers_DocumentStorageDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) | `[virtual]`

| Reimplemented from BinLDrivers_DocumentStorageDriver.

Standard_EXPORT const BinDrivers_DocumentStorageDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from BinLDrivers_DocumentStorageDriver.

The documentation for this class was generated from the following file:

- BinDrivers_DocumentStorageDriver.hxx